Author Topic: HELP: Unsupported major.minor version  (Read 1110 times)

jsprenkle

  • RFduino Newbie
  • *
  • Posts: 4
  • Karma: +0/-0
    • View Profile
HELP: Unsupported major.minor version
« on: February 13, 2016, 08:40:21 AM »
New user trying to get IDE installed.
Both the 32 and 64 bit versions of Linux arduino IDE fail.
Any suggestions?


jay@jay-desktop /media/jay/Seagate Expansion Drive/arduino/arduino-1.6.7 $ bash arduino
Picked up JAVA_TOOL_OPTIONS:
Exception in thread "main" java.lang.UnsupportedClassVersionError: processing/app/Base : Unsupported major.minor version 52.0
   at java.lang.ClassLoader.defineClass1(Native Method)
   at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
   at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
   at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
   at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
   at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
   at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
   at java.security.AccessController.doPrivileged(Native Method)
   at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
   at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
   at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
   at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
   at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
jay@jay-desktop /media/jay/Seagate Expansion Drive/arduino/arduino-1.6.7 $ which javac
/usr/bin/javac
jay@jay-desktop /media/jay/Seagate Expansion Drive/arduino/arduino-1.6.7 $ which java
/usr/bin/java
jay@jay-desktop /media/jay/Seagate Expansion Drive/arduino/arduino-1.6.7 $ javac -version
javac 1.7.0_95
jay@jay-desktop /media/jay/Seagate Expansion Drive/arduino/arduino-1.6.7 $ java -version
java version "1.7.0_95"
OpenJDK Runtime Environment (IcedTea 2.6.4) (7u95-2.6.4-0ubuntu0.14.04.1)
OpenJDK 64-Bit Server VM (build 24.95-b01, mixed mode)
jay@jay-desktop /media/jay/Seagate Expansion Drive/arduino/arduino-1.6.7 $

jsprenkle

  • RFduino Newbie
  • *
  • Posts: 4
  • Karma: +0/-0
    • View Profile
Re: HELP: Unsupported major.minor version
« Reply #1 on: February 15, 2016, 07:23:13 AM »

installed linux updates using instructions from here
http://stackoverflow.com/questions/25549492/install-jdk8-in-ubuntu-14-04

How about reducing the friction for new users?